Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics
Class PoissonProbabilityDistribution

    java.lang.Object
      org.statcato.statistics.DiscreteProbabilityDistribution
          org.statcato.statistics.PoissonProbabilityDistribution

    public class PoissonProbabilityDistribution

extends DiscreteProbabilityDistribution

Poisson probability distribution class.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Constructor Summary
`PoissonProbabilityDistribution(double lambda)` Constructs a poisson probability distribution with the given mean.

Method Summary
`double` | `cumulativeProbability(double x)` Returns the cumulative probabililty up to x.
`double` | `density(double x)` Returns the density of the distribution at x.
`java.lang.Double` | `inverseCumulativeProbability(double area)` Returns the inverse cumulative probability.

Methods inherited from class org.statcato.statistics.DiscreteProbabilityDistribution
`inverseCumulativeProbability`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoissonProbabilityDistribution

    public PoissonProbabilityDistribution(double lambda)

  Constructs a poisson probability distribution with the given mean.

  Parameters:
    `lambda` - mean

Method Detail

### density

    public double density(double x)

  Returns the density of the distribution at x.

  Specified by:
    `density` in class `DiscreteProbabilityDistribution`
  Parameters:
    `x` -
  Returns:
    probability density at x

### cumulativeProbability

    public double cumulativeProbability(double x)

  Returns the cumulative probabililty up to x.

  Specified by:
    `cumulativeProbability` in class `DiscreteProbabilityDistribution`
  Parameters:
    `x` -
  Returns:
    cumulative probability P(<=x)

### inverseCumulativeProbability

    public java.lang.Double inverseCumulativeProbability(double area)

  Returns the inverse cumulative probability.

  Parameters:
    `area` - cumulative probability
  Returns:
    inverse cumulative probability

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD